﻿@model IEnumerable<RailwayCashBox.DAL.Entities.Station>

@{
    ViewBag.Title = "Станции";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h2>Станции</h2>

<p>
    @Html.ActionLink("Добавить новую станцию", "Create")
</p>
<table  class="table">
    <tr>
        <th>
            @Html.DisplayNameFor(model => model.Name)
        </th>
        <th></th>
    </tr>

@foreach (var item in Model) {
    <tr>
        <td>
            @Html.DisplayFor(modelItem => item.Name)
        </td>
        <td>
            @Html.ActionLink("Редактировать", "Edit", new { id=item.Id }) |
            @Html.ActionLink("Детали", "Details", new { id=item.Id }) |
            @Html.ActionLink("Удалить", "Delete", new { id=item.Id })
        </td>
    </tr>
}

</table>
